Bug 119520 - The table borders/content shifting when saving with selected content (and afterwards when deselecting)
Summary: The table borders/content shifting when saving with selected content (and aft...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1 all versions
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2018-08-26 19:50 UTC by Telesto
Modified: 2022-06-07 03:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Only in webview (6.55 MB, video/mp4)
2018-08-28 18:33 UTC, BogdanB
Details
Screenshot of selection shifting (28.01 KB, image/png)
2020-06-05 17:13 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-26 19:50:40 UTC
Description:
The table borders/content shifting when saving with selected content (and afterwards when deselecting)

Steps to Reproduce:
1. Open attachment 144463 [details]
2. Scroll to the red text & select it
3. Press save -> notice everything shifting
4. Click in the click here box (again a shift)

Actual Results:
Small layout change (nothing harmful, only annoying)

Expected Results:
Stable table layout


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-20_22:43:18
Locale: nl-NL (nl_NL); Calc: CL

and in
Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0

but not in
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 1 Telesto 2018-08-26 19:51:41 UTC
Confirmed by Dieter Praas; Bug 119516 comment 5

I can confirm this with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-21_00:13:04
Locale: en-US (de_DE); Calc: CL
Comment 2 Xisco Faulí 2018-08-27 14:43:49 UTC
Reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

it needs to be bisected with repo 5.1...

in my case, I only reproduce it when the window is maximized and the sidebar hidden...
Comment 3 BogdanB 2018-08-28 18:33:08 UTC
Created attachment 144522 [details]
Only in webview

I tested on 
Version: 6.2.0.0.alpha0+
Build ID: f05b0a6aaf8af5d78f9cad8bb953228cb0ce09f1
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-20_01:57:14
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded

It appears only on Web View, not on normal view. See on video.
Maybe it is normal to have shifting in a web view.
Comment 4 Buovjaga 2020-06-05 17:13:39 UTC
Created attachment 161661 [details]
Screenshot of selection shifting

Screenshot from win32-5.1 repo bad
Comment 5 Buovjaga 2020-06-05 17:18:18 UTC
Bibisected with win32-5.1 to https://git.libreoffice.org/core/+/fb62052d5ac069d700a5410db35d6949a4c4008b%5E!/
tdf#94679 Writer: fix lost selection with Shift-PageDown

Adding Cc: to Justin Luth

Sorry about this Justin - this is one of those weird "unmasking something" types of things again...
Comment 6 Justin L 2020-06-05 17:22:56 UTC
Yeah - I'm not going to do anything about this one. Only a UI guru should touch things like this - I shouldn't have done anything in the first place.
Comment 7 Buovjaga 2020-06-06 07:35:15 UTC
I bibisected the originally reported brief jump of the selection with Linux 43max. Result was https://git.libreoffice.org/core/+/e2eda70f2746f08376d8cdf5e5360df217335aef%5E!/
startcenter: fdo#72469: Thumbnails also for other file types than ODF.

Sounds weird, but I did double-check it vs. previous commit.
Comment 8 Justin L 2020-06-06 12:11:52 UTC
Yeah, even the "cause" of bug 94679 was weird. That's why this probably needs to be look at by someone of Caolan's caliber.
Comment 9 QA Administrators 2022-06-07 03:26:31 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug